package FiguryWersja01;

// Klasyczna, szkolna, a właściwie przedszkolna implementacja programu
// obliczającego obiektowo pola figur. Dla zwartości kodu tylko kwadrat i koło. 

import java.util.Scanner;

class Kwadrat 
{
    public Kwadrat(double bok) { this.bok = bok; }
    public Kwadrat() { this(0); }
    public double pole() { return bok * bok; }
    public void ustawBok(double bok) { this.bok = bok; }
    public double pobierzBok() { return bok; }
  
    private double bok;
}

class Kolo
{
    public Kolo(double promien) { this.promien = promien; }
    public Kolo() { this(0); }
    public double pole() { return Math.PI * promien * promien; }
    public void ustawPromien(double promien) { this.promien = promien; }
    public double pobierzPromien() { return promien; }
    private double promien;
}


public class Figury01 
{
    static Scanner wejscie = new Scanner(System.in);
    
    public static void obliczeniaDlaKwadratu()
    {
        double bok;
        System.out.print("Obliczenia dla kwadratu\nPodaj długość boku: ");
        bok = wejscie.nextDouble();
        Kwadrat k = new Kwadrat();

        k.ustawBok(bok);
        System.out.print("Pole: " + k.pole());
    }

    public static void obliczeniaDlaKola()
    {
        double promien;
        System.out.print("Obliczenia dla koła\nPodaj długość promienia: ");
        promien = wejscie.nextDouble();
        Kolo k = new Kolo();

        k.ustawPromien(promien);
        System.out.print("Pole: " + k.pole());
    }
    
    public static void main(String[] args) 
    {
        int kodFigury;
        System.out.println("Obliczam pola figur, proszę wybrać figurę");
        
        do
        {
            System.out.print("\n1. Kwadrat\n2. Koło\n0. Koniec\n>> ");
            kodFigury = wejscie.nextInt();
            switch(kodFigury)
            {
                case 1: obliczeniaDlaKwadratu();
                        break;
                case 2: obliczeniaDlaKola();
                        break;
                    
            }
        }
        while(kodFigury != 0);
    }
}
